> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Sub-Account

> Gets a sub-account by ID. Returns a single sub-account object.  branding_fields is an object that contains branding information for the sub-account - it can only be set via the thanks.io dashboard



## OpenAPI

````yaml get /sub-accounts/{subAccountId}
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /sub-accounts/{subAccountId}:
    parameters:
      - name: subAccountId
        in: path
        description: ID of sub-account
        required: true
        schema:
          type: integer
          example: 56
    get:
      tags:
        - Sub Accounts
      summary: Get Details
      description: >-
        Gets a sub-account by ID. Returns a single sub-account object. 
        branding_fields is an object that contains branding information for the
        sub-account - it can only be set via the thanks.io dashboard
      operationId: getSubAccountDetails
      responses:
        '200':
          description: Successful Response
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sub-account'
              examples:
                sub-account:
                  $ref: '#/components/examples/sub-account-example'
        '403':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    sub-account:
      type: object
      properties:
        id:
          type: integer
          example: 1
        user_id:
          type: integer
          example: 2
        title:
          type: string
          example: My Sub Account
        return_name:
          type: string
          example: John Smith
        return_address:
          type: string
          example: 123 Smith Street
        return_address2:
          type: string
          example: Apartment 2
        return_city:
          type: string
          example: Denver
        return_state:
          type: string
          example: CO
        return_postal_code:
          type: string
          example: '12345'
  examples:
    sub-account-example:
      summary: Example Sub Account
      value:
        id: 1
        user_id: 2
        title: My New Sub Account
        return_name: John Smith
        return_address: 123 Smith Street 11
        return_address2: Apt 1
        return_city: Denver
        return_state: CO
        return_postal_code: '12345'
        message_background_url: null
        postcard6x9_background_url: null
        notecard_background_url: null
        windowedletter_background_url: null
        windowlessletter_background_url: null
        branding_fields:
          accentColor: '#5f01d1'
          symbol: ''
          logo: >-
            https://s3.amazonaws.com/content-staging.thanks.io/templates/dynamic-images/5dcb82c0-f258-11ef-9c99-e542d768ea52.png
          disclaimer: null
          headshot: null
          name: John Gray
          email: test@test.com
          phone: '1234567890'
          company: null
          domain: null
          set: true
          first_name: John
        created_at: '2020-02-14 20:50:02'
        updated_at: '2025-07-16 19:03:31'
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````